# Method: accounts.products.update

- [HTTP request](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/update#body.request_body)
- [Response body](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/update#body.response_body)
- [Authorization scopes](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/update#body.aspect)
- [Try it!](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/update#try-it)

Inserts or updates the attributes of the product in a Manufacturer Center account.

Creates a product with the provided attributes. If the product already exists, then all attributes are replaced with the new ones. The checks at upload time are minimal. All required attributes need to be present for a product to be valid. Issues may show up later after the API has accepted a new upload for a product and it is possible to overwrite an existing valid product with an invalid product. To detect this, you should retrieve the product and check it for issues once the new version is available.

Uploaded attributes first need to be processed before they can be retrieved. Until then, new products will be unavailable, and retrieval of previously uploaded products will return the original state of the product.

### HTTP request

`PUT https://manufacturers.googleapis.com/v1/{parent=accounts/*}/products/{name}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Parent ID in the format `accounts/{account_id}`. `account_id` - The ID of the Manufacturer Center account. |
| `name` | `string` Name in the format `{targetCountry}:{contentLanguage}:{productId}`. `targetCountry` - The target country of the product as a CLDR territory code (for example, US). `contentLanguage` - The content language of the product as a two-letter ISO 639-1 language code (for example, en). `productId` - The ID of the product. For more information, see <https://support.google.com/manufacturers/answer/6124116#id>. |

### Request body

The request body contains an instance of `https://developers.google.com/manufacturers/reference/rest/v1/Attributes`.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/manufacturercenter`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).